//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9 (64-bit)
//Part Number: GW2AR-LV18QN88C7/I6
//Device: GW2AR-18
//Device Version: C
//Created Time: Mon Dec 25 17:07:21 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	USB_to_Multi_Serial_Top your_instance_name(
		.phy_clk(phy_clk_i), //input phy_clk
		.rst_n(rst_n_i), //input rst_n
		.UART_TXD(UART_TXD_o), //output UART_TXD
		.UART_RXD(UART_RXD_i), //input UART_RXD
		.UART_RTS(UART_RTS_o), //output UART_RTS
		.UART_CTS(UART_CTS_i), //input UART_CTS
		.BAUD_RATE(BAUD_RATE_i), //input [31:0] BAUD_RATE
		.PARITY_BIT(PARITY_BIT_i), //input [7:0] PARITY_BIT
		.STOP_BIT(STOP_BIT_i), //input [7:0] STOP_BIT
		.DATA_BITS(DATA_BITS_i), //input [7:0] DATA_BITS
		.TX_DATA(TX_DATA_i), //input [15:0] TX_DATA
		.TX_DATA_VAL(TX_DATA_VAL_i), //input TX_DATA_VAL
		.TX_BUSY(TX_BUSY_o), //output TX_BUSY
		.RX_DATA(RX_DATA_o), //output [15:0] RX_DATA
		.RX_DATA_VAL(RX_DATA_VAL_o), //output RX_DATA_VAL
		.usb_jtag_tck(usb_jtag_tck_i), //input usb_jtag_tck
		.usb_jtag_rx_dval(usb_jtag_rx_dval_i), //input usb_jtag_rx_dval
		.usb_jtag_rx_data(usb_jtag_rx_data_i), //input [7:0] usb_jtag_rx_data
		.usb_jtag_in_rdy(usb_jtag_in_rdy_o), //output usb_jtag_in_rdy
		.usb_jtag_tx_dval(usb_jtag_tx_dval_o), //output usb_jtag_tx_dval
		.usb_jtag_tx_data(usb_jtag_tx_data_o), //output [7:0] usb_jtag_tx_data
		.jtag_clk(jtag_clk_o), //output jtag_clk
		.jtag_tms(jtag_tms_o), //output jtag_tms
		.jtag_tdo(jtag_tdo_i), //input jtag_tdo
		.jtag_tdi(jtag_tdi_o), //output jtag_tdi
		.usb_spi_clk(usb_spi_clk_i), //input usb_spi_clk
		.usb_spi_rx_dval(usb_spi_rx_dval_i), //input usb_spi_rx_dval
		.usb_spi_rx_data(usb_spi_rx_data_i), //input [7:0] usb_spi_rx_data
		.usb_spi_tx_dval(usb_spi_tx_dval_o), //output usb_spi_tx_dval
		.usb_spi_tx_data(usb_spi_tx_data_o), //output [7:0] usb_spi_tx_data
		.spi_clk_o(spi_clk_o_o), //output spi_clk_o
		.spi_cs_n_o(spi_cs_n_o_o), //output spi_cs_n_o
		.spi_miso_io(spi_miso_io_io), //inout spi_miso_io
		.spi_mosi_io(spi_mosi_io_io), //inout spi_mosi_io
		.usb_i2c_clk(usb_i2c_clk_i), //input usb_i2c_clk
		.usb_i2c_rx_dval(usb_i2c_rx_dval_i), //input usb_i2c_rx_dval
		.usb_i2c_rx_data(usb_i2c_rx_data_i), //input [7:0] usb_i2c_rx_data
		.usb_i2c_tx_dval(usb_i2c_tx_dval_o), //output usb_i2c_tx_dval
		.usb_i2c_tx_data(usb_i2c_tx_data_o), //output [7:0] usb_i2c_tx_data
		.I2C1_SCL(I2C1_SCL_io), //inout I2C1_SCL
		.I2C1_SDA(I2C1_SDA_io), //inout I2C1_SDA
		.status_o(status_o_o) //output status_o
	);

//--------Copy end-------------------
