//Copyright (C)2014-2023 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//Tool Version: V1.9.9 (64-bit) 
//Created Time: 2023-12-25 16:29:41
create_clock -name peripheral_clk -period 20.833 -waveform {0 10.416} [get_pins {rpll_peripheral/rpll_inst/CLKOUT}]
create_clock -name jtag_tck -period 33.333 -waveform {0 16.666} [get_nets {jtag_tck_Z}]
create_clock -name clk_in -period 83.333 -waveform {0 41.67} [get_ports {clkin}]
create_clock -name clk_480 -period 2.083 -waveform {0 1.042} [get_pins {u_pll/rpll_inst/CLKOUT}]
create_clock -name clk_60 -period 16.667 -waveform {0 8.33} [get_pins {u_pll/rpll_inst/CLKOUTD}]
create_clock -name clk_120 -period 8.333 -waveform {0 4.17} [get_pins {u_USB_SoftPHY_Top/u_usb2_0_softphy/u_usb_phy_hs/clkdiv_inst/CLKOUT}]
create_clock -name spi1_clk -period 20.833 -waveform {0 10.416} [get_ports {spi1_clk_o}]
create_clock -name jtag_clk -period 33.333 -waveform {0 16.666} [get_ports {jtag_clk}]

set_clock_groups -asynchronous -group [get_clocks {clk_120}] -group [get_clocks {clk_60}]
set_clock_groups -asynchronous -group [get_clocks {clk_60}] -group [get_clocks {clk_480}]
set_clock_groups -asynchronous -group [get_clocks {clk_60}] -group [get_clocks {clk_120}]
set_clock_groups -asynchronous -group [get_clocks {clk_60}] -group [get_clocks {jtag_clk}]
set_clock_groups -asynchronous -group [get_clocks {clk_60}] -group [get_clocks {peripheral_clk}]
set_clock_groups -asynchronous -group [get_clocks {peripheral_clk}] -group [get_clocks {clk_60}]
set_clock_groups -asynchronous -group [get_clocks {clk_60}] -group [get_clocks {jtag_tck}]
set_clock_groups -asynchronous -group [get_clocks {jtag_clk}] -group [get_clocks {jtag_tck}]
set_clock_groups -asynchronous -group [get_clocks {spi1_clk}] -group [get_clocks {peripheral_clk}]
set_false_path -from [get_clocks {clk_120}] -to [get_clocks {clk_60}] 
