## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -novopt -incr -work work "../../tb/USB_to_Multi_Serial_tb.v"
vlog -novopt -incr -work work "../../project/USB_to_Multi_Serial_Protocol_Bridge_Pro_1/src/usb_to_multi_serial/usb_to_multi_serial.vo"
vlog -novopt -incr -work work "../../tb/prim_sim.v"
##vlog -novopt -incr -work work "../../project/define/top_define.vh"

## part 3: sim design
vsim -novopt work.USB_to_Multi_Serial_tb

## part 4: add signals
add wave -group "USB_to_Multi_Serial_tb" {sim:/USB_to_Multi_Serial_tb/*}


## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 160000000ns

